import string
import random


def random_string(length=25):
    """
    Generates the random string.

    Parameters
    ----------
    length : int, optional
        Length of string to be generated (the default value is 25).

    Returns
    -------
    str
        Generated random string.
    """

    return ''.join([
        random.choice(string.ascii_letters + string.digits)
        for n in xrange(length)
    ])
